/**
 * 买卖方向
 */
export enum BuyOrSell {
    Buy = 0, // 买
    Sell = 1, // 卖
}

/**
 * 获取买卖方向列表
 * @returns 
 */
export function getBuyOrSellList() {
    return [
        { label: '买', value: BuyOrSell.Buy },
        { label: '卖', value: BuyOrSell.Sell },
    ]
}

/**
 * 获取买卖方向名称
 * @param value 
 * @returns 
 */
export function getBuyOrSellName(value?: number) {
    const item = getBuyOrSellList().find((e) => e.value === value)
    return item?.label ?? value
}

/**
 * 费用算法
 */
export enum FeeAlgorithm {
    Fixed = 0, // 固定值
    Ratio = 1 // 比率
}

/**
 * 获取费用算法列表
 * @returns 
 */
export function getFeeAlgorithmList() {
    return [
        { label: '固定值', value: FeeAlgorithm.Fixed },
        { label: '比率', value: FeeAlgorithm.Ratio },
    ]
}

/**
 * 获取费用算法名称
 * @param value 
 * @returns 
 */
export function getFeeAlgorithmName(value?: number) {
    const item = getFeeAlgorithmList().find((e) => e.value === value)
    return item?.label ?? value
}